/*
 * uData API
 * uData API
 *
 * OpenAPI spec version: 1.0
 * 
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package com.asso.ladoxa.datagouv.models;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;
import java.time.LocalDateTime;

import java.util.Objects;

/**
 * Notification
 */

public class Notification {
  @JsonProperty("created_on")
  private LocalDateTime createdOn = null;

  @JsonProperty("details")
  private Object details = null;

  @JsonProperty("type")
  private String type = null;

   /**
   * The notification creation datetime
   * @return createdOn
  **/
  @ApiModelProperty(value = "The notification creation datetime")
  public LocalDateTime getCreatedOn() {
    return createdOn;
  }

   /**
   * Key-Value details depending on notification type
   * @return details
  **/
  @ApiModelProperty(value = "Key-Value details depending on notification type")
  public Object getDetails() {
    return details;
  }

   /**
   * The notification type
   * @return type
  **/
  @ApiModelProperty(value = "The notification type")
  public String getType() {
    return type;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    Notification notification = (Notification) o;
    return Objects.equals(this.createdOn, notification.createdOn) &&
        Objects.equals(this.details, notification.details) &&
        Objects.equals(this.type, notification.type);
  }

  @Override
  public int hashCode() {
    return Objects.hash(createdOn, details, type);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class Notification {\n");

    sb.append("    createdOn: ").append(toIndentedString(createdOn)).append("\n");
    sb.append("    details: ").append(toIndentedString(details)).append("\n");
    sb.append("    type: ").append(toIndentedString(type)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

